UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Explorer
Explorer
3,611 Views
Registered: ‎03-09-2017

build error in sdk 2017.1

Log data follows:
| DEBUG: Executing python function sysroot_cleansstate
| DEBUG: Python function sysroot_cleansstate finished
| DEBUG: Executing shell function do_configure
| MISC_ARG is  -yamlconf /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/pmu-firmware.yaml
| APP_ARG is  -app "ZynqMP PMU Firmware"
| cmd is: xsct /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/app.tcl -ws /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/../components/plnx_workspace -pname pmu-firmware -rp /opt/pkg/tools/hsm/data/embeddedsw -processor psu_pmu_0 -hdf /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/deploy/images/plnx_aarch64/Xilinx-plnx_aarch64.hdf -arch 32  -app "ZynqMP PMU Firmware"  -yamlconf /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/pmu-firmware.yaml
| Starting xsdk. This could take few seconds... Eclipse:
| An error has occurred. See the log file
| /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/components/plnx_workspace/.metadata/.log.
| XSCTHELPER INFO: Empty WorkSpace
| Starting xsdk. This could take few seconds... Eclipse:
| An error has occurred. See the log file
| /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/components/plnx_workspace/.metadata/.log.
| timeout while establishing a connection with SDK
|     while executing
| "error "timeout while establishing a connection with SDK""
|     (procedure "getsdkchan" line 111)
|     invoked from within
| "getsdkchan"
|     (procedure "::sdk::set_user_repo_path_sdk" line 16)
|     invoked from within
| "::sdk::set_user_repo_path_sdk $params(set)"
|     (procedure "repo" line 27)
|     invoked from within
| "repo -set $path"
|     invoked from within
| "if { $params(ws) ne "" } {
|     #Local Work Space available
|     setws $params(ws)
|     if { [catch {importprojects $params(ws)} result] } {
|         puts "XSCTHELPER IN..."
|     (file "/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/app.tc..." line 120)
| WARNING: /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/temp/run.do_configure.24899:1 exit 1 from 'eval xsct /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/app.tcl -ws /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/../components/plnx_workspace -pname pmu-firmware -rp /opt/pkg/tools/hsm/data/embeddedsw -processor psu_pmu_0 -hdf /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/deploy/images/plnx_aarch64/Xilinx-plnx_aarch64.hdf -arch 32 ${APP_ARG} ${MISC_ARG}'
| ERROR: Function failed: do_configure (log file is located at /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/plnx_aarch64-xilinx-linux/pmu-firmware/2017.1+gitAUTOINC+3813f14966-r0/temp/log.do_configure.24899)

0 Kudos
8 Replies
Moderator
Moderator
3,605 Views
Registered: ‎11-09-2015

Re: build error in sdk 2017.1

Hi @jenny_august13,

 

Could you check your proxy settings in the SDK preferences (Window > Preferences).

 In General > Network, Change Active provider to Direct

AR_SDK.JPG

 

If it doesn't help, could you share the log file mentioned:

/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/components/plnx_workspace/.metadata/.log.

 

Thanks and Regards,

 

Florent

 


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**
Explorer
Explorer
3,603 Views
Registered: ‎03-09-2017

Re: build error in sdk 2017.1

Hi florentw, i am using petalinux tools on my linux system and i am not using through sdk... Do I need sdk 2017 to be installed for this?
0 Kudos
Moderator
Moderator
3,601 Views
Registered: ‎11-09-2015

Re: build error in sdk 2017.1

Hi @jenny_august13,

 

No... I have sent you this because the title of your issue is SDK 2017.1 not petalinux...

 

Then could you share the log file mentioned?

 

Regards,

 

Florent


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**
0 Kudos
Explorer
Explorer
3,588 Views
Registered: ‎03-09-2017

Re: build error in sdk 2017.1

I can find only SDK.log at that path and i cannot find the path to above log file.. and it is not buiding with the following errors which has perfectly worked with petalinux 2015.4 but now it is giving compiling error.

Parsing of 2449 .bb files complete (2414 cached, 35 parsed). 3239 targets, 224 skipped, 0 masked, 0 errors.
NOTE: Resolving any missing task queue dependencies
Initialising tasks: 100% |#######################################| Time: 0:00:10Checking sstate mirror object availability: 100% |###############| Time: 0:00:12NOTE: Executing SetScene Tasks ETA: 0:00:01
NOTE: Executing RunQueue Tasks
ERROR: multiUDP-1.0-r0 do_compile: oe_runmake failed
ERROR: multiUDP-1.0-r0 do_compile: Function failed: do_compile (log file is located at /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/aarch64-xilinx-linux/multiUDP/1.0-r0/temp/log.do_compile.30881)
ERROR: Logfile of failure stored in: /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/aarch64-xilinx-linux/multiUDP/1.0-r0/temp/log.do_compile.30881
Log data follows:
| DEBUG: Executing shell function do_compile
| NOTE: make -j 4
| ERROR: oe_runmake failed
| aarch64-xilinx-linux-gcc --sysroot=/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/sysroots/plnx_aarch64 -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/aarch64-xilinx-linux/multiUDP/1.0-r0=/usr/src/debug/multiUDP/1.0-r0 -fdebug-prefix-map=/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/sysroots/x86_64-linux= -fdebug-prefix-map=/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/sysroots/plnx_aarch64= -c -o multiUDP.o multiUDP.c
| multiUDP.c:42:26: fatal error: multiUDPecho.h: No such file or directory
| #include "multiUDPecho.h"
| ^
| compilation terminated.
| make: *** [<builtin>: multiUDP.o] Error 1
| ERROR: Function failed: do_compile (log file is located at /home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/build/tmp/work/aarch64-xilinx-linux/multiUDP/1.0-r0/temp/log.do_compile.30881)
ERROR: Task (/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/project-spec/meta-user/recipes-apps/multiUDP/multiUDP.bb:do_compile) failed with exit code '1'
NOTE: Tasks Summary: Attempted 2453 tasks of which 2447 didn't need to be rerun and 1 failed.

Summary: 1 task failed:
/home/janani/projects/peta2017.1-zcu102/zcu102/pet_zcu102/project-spec/meta-user/recipes-apps/multiUDP/multiUDP.bb:do_compile
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.
0 Kudos
Moderator
Moderator
3,582 Views
Registered: ‎11-09-2015

Re: build error in sdk 2017.1

Hi @jenny_august13,

 

Did you created a new petalinux project when moving from 2015.4 to 2017.1?

Is your hdf file coming from 2017.1?

 

Regards,

 

Florent


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**
0 Kudos
Explorer
Explorer
3,571 Views
Registered: ‎03-09-2017

Re: build error in sdk 2017.1

The procedure I am following is got my hdf file in windows machine and imported it into my petalinux project copying that file into my linux machine. If petalinux 2016.4 is being used does it take 2017.1 hdf file? or how can I check the configuration of petalinux tool in the linux system?

And the root fs app which is not building is having pthread in it and i changed the make file adding -pthread command at the end of my compilation line how i did when i am using 2015.4 petalinux and built the project successfully that time.
0 Kudos
Explorer
Explorer
3,560 Views
Registered: ‎03-09-2017

Re: build error in sdk 2017.1

When i disabled the application that has pthreads in the rootfs , and built the project and it has showed the following warnings

petalinux-user-image-1.0-r0 do_rootfs: The postinstall intercept hook 'update_font_cache' failed (exit code: 1)! See log for details!
WARNING: petalinux-user-image-1.0-r0 do_rootfs: The postinstall intercept hook 'update_pixbuf_cache' failed (exit code: 1)! See log for details!
WARNING: petalinux-user-image-1.0-r0 do_rootfs: The postinstall intercept hook 'update_icon_cache' failed (exit code: 1)! See log for details!
WARNING: petalinux-user-image-1.0-r0 do_rootfs: The postinstall intercept hook 'update_gio_module_cache' failed (exit code: 1)! See log for details!
WARNING: petalinux-user-image-1.0-r0 do_rootfs: [log_check] petalinux-user-image: found 4 warning messages in the logfile:
[log_check] WARNING: The postinstall intercept hook 'update_font_cache' failed (exit code: 1)! See log for details!
[log_check] WARNING: The postinstall intercept hook 'update_pixbuf_cache' failed (exit code: 1)! See log for details!
[log_check] WARNING: The postinstall intercept hook 'update_icon_cache' failed (exit code: 1)! See log for details!
[log_check] WARNING: The postinstall intercept hook 'update_gio_module_cache' failed (exit code: 1)! See log for details!
0 Kudos
Visitor martindreher
Visitor
3,018 Views
Registered: ‎10-15-2015

Re: build error in sdk 2017.1

Hi,

 

here is the solution for the timeout error. But I think you will then get then next error ...

https://forums.xilinx.com/t5/Embedded-Development-Tools/Xilinx-2016-4-xsct-Timeout-while-building-fsbl-and-pmu-firmware/td-p/766876

 

In fsbl and pmufw recipes add this the line

export _JAVA_OPTIONS = "-Duser.home=${TMPDIR}/xsctenv"

0 Kudos